Skip to main content

Bulk Assign Repairs

POST 

/api/repairs/bulk/assign

Bulk Assign Repairs.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • ids (optional): array, max:10000
  • ids.* (optional): integer, exists:repair_orders,id
  • all_matching (optional): boolean
  • line_ids (optional): array, max:10000
  • line_ids.* (optional): integer, exists:repair_order_lines,id
  • assign (optional): assignee_user_id, integer
  • technician_user_id (optional): integer
  • set_assignee (optional): boolean
  • set_technician (optional): boolean
  • stage (required)
  • email (required): template_type, string, max:80
  • message (optional): string, max:5000

Permission: repairs.update. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type